AutoCAD Inventor :: How To Create A Line With Part Document Setting
Jul 13, 2012
My part unit length has been setup as millimeter(mm).Once I created a line within 2d sketch by VBA script, the result of length always become to 10 times of value.For example, the two points of line is (0,0) and (0,4). But the result of length measured is 40.
My problem is how to create a line with part document setting?
in iParts factory I would like to create part ## by setting common name and adding to it different values drawn from part parameters.
Please refer to attached image – common name in that example would be “DRILL” and description of the diameter and length automatically taken from parameters in columns “DRILL_D” & “INSERT_L”.
I have got troubles with textures in the new Inventor 2013. When I try to programmatically change a texture in a render style of a part (no matter, whether I use an existing render style or create a new one), when I set the texture file name, Inventor throws an exception "Bad argument". In Inventor 2012, it worked. How textures should be set in the new Inventor?
Sample
PartDocument partDoc = ... some initialization RenderStyle newRenderStyle = partDoc.RenderStyles.Add("newRenderStyle"); newRenderStyle.TextureFilename = newTexFilename; //this throws an exception bad format, even if the texture is in the Inventor textures directory partDoc.ActiveRenderStyle = newRenderStyle;
I'm trying to write my first VBA program for Inventor with very little programming experience. I would like to create a userform which displays the materials list within a combobox.
The problem I have is that I would like the userform to remain open no matter which type of file is active. I would like the combobox to display the material list and current material when in a Part file and display N/A when in Assembly file.
I am trying to rotate a body in a part document using a .net add-in through the API. I saw this mod the machine post [URL] which appears to be exactly what I am looking for. As I try to incorporate this into my add-in it doesn't recognize the MoveDefinition or PartDefinition.Features.MoveFeatures, as if these were not included in the SDK. The VBA code that is listed will run, but I cannot convert it to C#.net code. Is there something I am missing, perhaps an extra reference? I am using Inventor 2013 with the updated 2013 SDK downloaded from here [URL]
i.e., is it possible to create a custom iproperty which would enable the user to attach a particular attribute to every component within an assembly without manually going through each component.
For example, If I have a pipework sub-assembly within a manifold assembly. I want to create a custom iProperty for 'Component Type' which would be called 'Pipework' for every component called up within that subassembly.
Likewise for a frame could you have the above custom property attached to every component but called up as 'framework' instead etc.
I am trying to access the material and/or renderstyle for each solid in a multibody part document, but it seems like this is not supported in the API.Is this correct?
If this is correct, why the HasMultipleSolidBodies property?
This code works with no errors but does not change the text size. A user can over ride the text size (Font size) so I'm hoping it is possible thru code.
Dim oSketch As Inventor.Sketch Set oSketch = oPartDoc.ComponentDefinition.Sketches("Sketch1") Dim oText As Inventor.TextBox Set oText = oSketch.TextBoxes.AddByRectangle(pnt1, pnt2) oText.Style.FontSize = 0.1
Autodesk Inventor 2010 .idw Drawing Detail - Where is the default setting for "Full Dimension Line" so that I can set it to always be on when placing a linear diametric dimension? I would prefer to turn it off on the few occasions when dimensioning a diameter on a Detail View that does not include the center line rather than each and every diameter on a section view. This is necessary because a diameter symbol does not show up in the diameter dimension unless the full distance line it is selected, which is not always possible. I am aware of the Application Option setting that allows Linear Diametric as a preference, which becomes the default for all dimensions, and it is user specific rather than document specific.
if there is any way to create a new 'FeatureBasedPattern' within an assembly document. I have 2 assembly occurences - parts. In the Part1 i created a RectangularPattern of workpoints. The Part2 is going to be used in the new pattern. I tried the following VBA code, but it doesn't work.
Dim oPart1 As ComponentOccurrence Set oPart1 = oAssDef.Occurences.Item(1) Dim oPart2 As ComponentOccurrence Set oPart2 = oAssDef.Occurences.Item(2) Dim oTG As TransientObjects Set oTG = ThisApplication.TransientObjects [code]...
The Call function breaks with: "Invalide procedure call or argument". I also tried "Set oAssemblyPattern = oAssDef.OccurencePatterns.etc...." instead of Call function, but with the same result. Same error for declaration change of "oAssemblyPattern" to "FeatureBasedOccurrencePatternProxy".
In an assembly document, I try to add a MateConstraint between male and female side of an 45 degrees elbow. The male side is built on the XZ Plane and Y Axis And I try to create a workplane on the female face.
But a got an error with the last line of code. Here's my code (vb.net code) :
' Get application object Dim app As Inventor.Application = GetObject(, "Inventor.Application") Dim doc As Inventor.AssemblyDocument = app.ActiveDocument
I am trying to create a new base view in drawing-document.
I can get hold of the view but cant find a way to set reference data --- would like to set the "Line Style" to "As Parts" and "Hidden Line Calculation" to "All Bodies".
It's possible to select a part in a view on a 2D drawing and change the color of all the lines belonging to that part.
This is really useful, but is there a way of assigning a line color to the .ipt file it's self, so that every time I place a view of that part the lines are automatically set to specified color?
This would also be useful within a single drawing when there are multiple views of the same assembly. e.g.
Part A would always be drawn in Red, Part B would always be green. This would really distinguishing between parts in complex assemblies. (Which I realise can be done manually but I think it could be done faster with less chance of making mistakes.) Currently, I color all the parts, but then if I make an additional view, the new view is all in black.
From a VB.Net program, I'm trying to create a dimension on a drawing document between two parts in an assembly. I can get the parts using component occurrence. The line marked below throws the following error: The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG)).
As you may see, I have allocated memory for both "Edge" and "Face" (Dim oEdge1 As Face) albeit one is commented out. Attached is the screen shots from the attribute helper add-in. In it, you will notice that the attributes are of type: "Face".
Public Sub CreateDrawingDimension(ByVal Part1 As String, ByVal Part2 As String, ByVal AttName1 As String, ByVal AttName2 As String) ' Get the Active Drawing document Dim oDrawDoc As Inventor.DrawingDocument oDrawDoc = invApp.ActiveDocument [code]........
i wanna making a extrusion from every select line in Part
/code Public Sub test() Dim oPartdoc As PartDocument Set oPartdoc = ThisApplication.ActiveDocument Dim oCompDef As PartComponentDefinition Set oCompDef = oPartdoc.ComponentDefinition Dim oSelectSet As SelectSet
I have a STEP file which is of a part similar to the rudder of a boat or an oar blade but twisted at the end, and I have to draw the split line to match the profile of the blade. I imagine I have to use a 3D sketch because of the twist and we are guessing that the split line will run down the apex of the blade, but I don't know how to get the 3D sketch to "stick" to the apex (there is no real apex as it's curved).
A large part of my job is creating installation drawings for plants (equipment and catwalks). Usually what I like to provide the installers is a plan view showing the equipment / catwalks with the base pads of the supports visible as hidden lines. If I just turn on hidden lines in a view, then it is too crowded.
However, manually turning on hidden lines for hundreds of base pads (potentially) is a huge time-sink and usually involves going through the browser manually to find them all. What I would like to do is automate the procedure to some extent. Usually there is only 4 or 5 different parts in an assembly that I need to have hidden lines for.
I'm trying to design a linear bearing that is composed of a billet of material to which six ball bearings are bolted. I was able to create a part representing the ball bearing from the manufacturer's dimensions. I then modeled a lock washer as a part, then an assembly consisting of a ball bearing and a lock washer. I then created an assembly from that assembly, with six of these ball bearing/lock washer assemblies in the desired orientations.
Now that I have the ball bearings oriented in space the way I need them, I need to model the billet to which they will all mount. I did things in this order because the ball bearings are metric, yet the rest of my design is in imperial units, and it just seemed easier to orient the bearings (which will interface with yet another assembly that I have yet to design) first.
I'd like to create my billet using the assembly as a reference. The assembly will tell me where I need holes in the billet to mount the bearings, where I need to cut out material for clearances, etc. I can't figure out how (or if) I can import my assembly into my part file, or what other tools are available to accomplish this task.
I'm attempting to model something similar to this. I've got the six bearings oriented in space, now I need to make the block to which they mount.
Looking for example macro that can create a new sketch, add a few lines and arcs, Then revolve the sketch around an axis to create a solid part. For example a shaft?
Can we have a better way to create “text” in the Inventor part drawings?
I almost create “text” in every part drawing in different view. I have to create a sketch first, than create a text and dimension the text so I can lock the text in position, otherwise when you move the view and the text will stay in different location.
I had been used “Solid works” for long times. When I need to create a text, just click that view and create a text and the text will stay with that view, whatever you move that view and the text move together.
it's possible to create a derived part using only some of the features of the base components i.e. I've got a funny shaped part with a bunch of holes in it, and I need another part with exactly the same shape but totally different holes (location and size)I know you can do this with the different solids in the part (only use some of the solids) but I haven't been able to figure it out with features, if it's possible at all.
I could probably create one base part (just the shape) and derive both parts from that, but then I've got a part lying around doing jack.using IV 11.
I am trying to use Create Simplified part and during the creation process..I downloaded a model of a FD breaker off the Eaton Website in .stp format. I am simply trying to get a .ipt file of the model for my layout model.So the steps I did:
1- Open .stp file
2- Save .stp file as an .iam inventor file (ignore the prompt box "this is not a part file", that is from my logic rule for a part file)
3- once saved in inventor format, I click the simplify tab, select create simplified part, select a name and directory and press save
4- the .iam saves into a single part, BUT it is saved as sean.ipt, not the part number I assigned earlier and it is saved to the directory C:Users, not the directory I assigned in the dialogue box earlier.
Why does it do this every time I "dummy" down an assembly to a single .ipt file?
I want to ask if in Autodesk Inventor 2013, can we create a part with a different configuration?
example:I made a cube the size of 10mm x 10mm x 10mm, after which it would be revised measures 15mm x 15mm x 15mm. The second revision to change the size of a 12mm x 12mm x 12mm. Can all the revision is done in one file?And if I want to revise again be 10mm x 10mm x 10mm, can?
Have I been that provides revision always create a new file and the file number so much that hard to figure out which revision. I am still learning Autodesk Inventor 2013.
I'm starting with a tube and want to add a weld build up around the OD on both ends. I mainly want to do this so that when I create a sectioned view on a drawing, you can see the difference in hatching between the original tube and the weld build up. I've had to create sketches on the drawing up to this point.
The photo I've attached shows the tube and shape of the weld build up. the green line is where I would like the tube OD to be, and the weld build up would be everything above that.
I need to create a hole table for a part. I would like the origin to be at the center of the part. Problem is there is not a round hole at that location. Attached is a similar part. The one that I am doing is much larger and has many more holes... this is just an example.
How can I pick this as the origin of my hole table?
I would like to create string that would be tied to a rod and wrapped around an axle. Then when the rod is moved the string rotates the axle, but the string continues to grow as it is being pulled.
Using Inventor 11 I wish to create some individual parts using Structural Shapes from the Content Center as the basis for my sketch profile and extrude to length before doing other machining.
Is it possible to do this from the Part environment directly and not use the frame generator?